This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1008892 - 4.4.2. Summary of Enhanced Entitlement Reporting Configuration
4.4.2. Summary of Enhanced Entitlement Reporting Configuration
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Docs Installation Guide (Show other bugs)
560
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Macpherson
Dan Macpherson
:
Depends On:
Blocks: sat560-docs
  Show dependency treegraph
 
Reported: 2013-09-17 05:59 EDT by Rich Jerrido
Modified: 2013-10-11 06:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-11 06:43:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rich Jerrido 2013-09-17 05:59:14 EDT
Description of problem: 

In section 4.4.2. Summary of Enhanced Entitlement Reporting Configuration under the "Installation and Configuration of a Subscription Asset Manager server" step, we specify:


# mkdir /mnt/cdrom
# mount -o loop SAM.iso /mnt/cdrom
# cd /mnt/cdrom
# install_packages --enhanced_reporting

Which fails with:

-bash: install_packages: command not found

As the current working directory (/mnt/cdrom) is not in the user's path. 

Expected Results:

We should specify


# mkdir /mnt/cdrom
# mount -o loop SAM.iso /mnt/cdrom
# cd /mnt/cdrom
# ./install_packages --enhanced_reporting
Comment 2 Clifford Perry 2013-10-11 06:43:42 EDT
https://access.redhat.com/site/documentation/en-US/Red_Hat_Satellite/5.6/html-single/Installation_Guide/index.html

Installation and Configuration of a Subscription Asset Manager server
    Install a Subscription Asset Manager (SAM) 1.3 server on a different server from Satellite 5.6. When installing from ISO, make sure to run the install_packages script with the --enhanced_reporting to install the SAM 1.3 with Enhanced Entitlements Reporting:

    # mkdir /mnt/cdrom
    # mount -o loop SAM.iso /mnt/cdrom
    # cd /mnt/cdrom
    # ./install_packages --enhanced_reporting
    # katello-configure --deployment=sam --user-pass=PASSWORD
    # chkconfig mongod on
    # service mongod start

Note You need to log in before you can comment on or make changes to this bug.